!
function(a) {
	a();
} (function() {
	var H;
	H = {
		Login: function(platform, forwardurl, callbackMethod) { //登录
			var message = {
				methodName: 'login',
				platform: platform,
				forwardurl: forwardurl,
				callbackMethod: callbackMethod
			};
			BSLJSBridge(message);
		},
		Pay: function(order, paytype, callbackMethod) { //支付
			var message = {
				methodName: 'pay',
				order: order,
				paytype: paytype,
				callbackMethod: callbackMethod
			}
			BSLJSBridge(message);
		},
		CopyText: function(txt) { //拷贝文字
			var message = {
				methodName: 'copyText',
				content: txt
			};
			BSLJSBridge(message);
		},
		Share: function(content, imageurl, targetUrl, title, callbackMethod) { //分享
			var message = {
				methodName: 'share',
				content: content,
				imageurl: imageurl,
				targetUrl: targetUrl,
				'title': title,
				'callbackMethod': callbackMethod
			};
			BSLJSBridge(message);
		},

		ShareImg: function(imageurl, callbackMethod) { //分享图片
			var message = {
				methodName: 'shareImage',
				imageurl: imageurl,
				callbackMethod: 'shareCallback'
			};
			BSLJSBridge(message);
		},
		ShareImgWithTxt: function(platform,content, imageurl, targetUrl, title, callbackMethod) { //分享
                			var message = {
                				methodName: 'share',
                				platform:platform,
                				content: content,
                				imageurl: imageurl,
                				targetUrl: targetUrl,
                				'title': title,
                				'callbackMethod': callbackMethod
                			};
                			BSLJSBridge(message);
                		},
		ShareImgByPlatfrom: function(platform,imageurl, callbackMethod) { //分享图片
        			var message = {
        				methodName: 'shareImageByPlatform',
        				platform:platform,
        				imageurl: imageurl,
        				callbackMethod: 'shareCallback'
        			};
        			BSLJSBridge(message);
        		},
        		ShareCImgByPlatform: function(platform,callbackMethod) { //分享截图
                			var message = {
                				methodName: 'shareCutImage',
                				platform:platform,
                				callbackMethod: callbackMethod
                			};
                			BSLJSBridge(message);
                		},
		ShareCImg: function(callbackMethod) { //分享截图
			var message = {
				methodName: 'shareCutImage',
				callbackMethod: callbackMethod
			};
			BSLJSBridge(message);
		},
		ShareMultiImage: function(data,description) {
			var message = {
				methodName: 'shareMultiImage',
				data: data,
				description: description
			};
			BSLJSBridge(message);
		},

		CCache: function() { //清除缓存
			var message = {
				methodName: 'cleanCache'
			};
			BSLJSBridge(message);
		},
		Qcode: function(resulttype, callbackMethod) { //二维码。
			var message = {
				methodName: 'qrcoder',
				controlQRCodeResult: resulttype,
				callbackMethod: callbackMethod
			};
			BSLJSBridge(message);
		},
		AppBottom: function(param) { //控制底部菜单栏
			if (param == null) var message = {
				methodName: 'controlBottomTabLayout'
			};
			else var message = {
				methodName: 'controlBottomTabLayout',
				show: '' + param + ''
			};
			BSLJSBridge(message);
		},
		AppTop: function(param) { //控制顶部导航栏
			if (param == null) var message = {
				methodName: 'controllNavigateLayout'
			};
			else var message = {
				methodName: 'controllNavigateLayout',
				show: '' + param + ''
			};
			BSLJSBridge(message);
		},
		AppLeft: function(state) { //控制左栏
			var message = {
				'methodName': 'controlLeftMenuLayout',
				'show': state
			};
			BSLJSBridge(message);
		},
		AppTopL: function(fun, imageUrl) { //设置导航栏左按钮功能
			var message = {
				methodName: 'ctrlNavLeftBtnFun',
				funcNum: fun,
				buttonImage: imageUrl
			};
			BSLJSBridge(message);
		},
		AppTopR: function(fun, imageUrl) { //设置导航栏右按钮功能
			var message = {
				methodName: 'ctrlNavRightBtnFun',
				funcNum: fun,
				buttonImage: imageUrl
			};
			BSLJSBridge(message);
		},
		PhoneID: function(callbackMethod) { //获取设备标识符
			var message = {
				methodName: 'getDeviceIdentifier',
				callbackMethod: callbackMethod
			};
			BSLJSBridge(message);
		},
		AppScreen: function(orientation) { //控制屏幕方向
			var message = {
				methodName: 'setScreenOrientation',
				orientation: orientation
			};
			BSLJSBridge(message);
		},
		CopyUrl: function() //复制当前页地址，是否添加回调呢？
		{
			var message = {
				methodName: 'copyUrlToClipboard'
			};
			BSLJSBridge(message);
		},
		OpenWeb: function(url) { //浏览器打开当前页面
			if (url == '' || url == 'undefined') {
				var message = {
					methodName: 'awakeOtherWebview'
				}
				BSLJSBridge(message);
			} else {
				var message = {
					methodName: 'awakeOtherWebview',
					webviewUrl: url
				}
				BSLJSBridge(message);
			}
		},
		JPushTag: function(tag, callbackmethod) { //注册推送tag
			if (tag == '') {
				return false;
			}
			var message = {
				methodName: 'registerPushTag',
				tag: tag,
				callbackMethod: callbackmethod
			};
			BSLJSBridge(message);
		},
		Build: function(callbackmethod) //获取Build值，自定义回调函数？
		{
			var message = {
				methodName: 'getBuild',
				callbackMethod: callbackmethod
			}
			BSLJSBridge(message);
		},
		GPS: function(callbackMethod) { //定位
			var message = {
				methodName: 'getLocation',
				callbackMethod: callbackMethod
			}
			BSLJSBridge(message);
		},

		checkApp: function(appID, callbackMethod) { //检查app是否存在返回1，不存在0
			var message = {
				methodName: 'checkAppInstalled',
				callbackMethod: callbackMethod,
				appID: appID
			}
			BSLJSBridge(message);
		},
		openApp: function(appID, callbackMethod) //打开app
		{
			var message = {
				methodName: 'openApp',
				appID: appID,
				callbackMethod: callbackMethod
			}
			BSLJSBridge(message);
		},
		touchID: function(callbackMethod) { //验证指纹，成功1，失败0
			var message = {
				methodName: 'fingerprint',
				callbackMethod: callbackMethod
			}
			BSLJSBridge(message);
		},
		WifiSsid: function(callbackMethod) { //获取WiFi名称
			var message = {
				methodName: 'getWifiSSID',
				callbackMethod: callbackMethod
			}
			BSLJSBridge(message);
		},

		SetBrightness: function(value) {
			var message = {
				methodName: 'setBrightness',
				brightness: value
			}
			BSLJSBridge(message);
		},
		checkBDMap: function(callbackMethod) //检查是否安装百度地图
		{
			var message = {
				methodName: 'checkBDMap',
				callbackMethod: callbackMethod
			};
			BSLJSBridge(message);
		},
		//打开百度地图并导
		openBDMap: function(callbackMethod) {
			var message = {
				methodName: 'openBDMap',
				callbackMethod: callbackMethod
			};
			BSLJSBridge(message);
		},
		//打开百度地图并导航
		navBDMap: function(startlat, startlon, endlat, endlon, callbackMethod) {
			var message = {
				methodName: 'navBDMap',
				startlat: startlat,
				startlon: startlon,
				endlat: endlat,
				endlon: endlon,
				callbackMethod: callbackMethod
			};
			BSLJSBridge(message);
		},

		checkGDMap: function(callbackMethod) //检查是否安装的高德
		{
			var message = {
				methodName: 'checkGDMap',
				callbackMethod: callbackMethod
			};
			BSLJSBridge(message);
		},
		//打开高德地图并导航
		openGDMap: function(callbackMethod) {
			var message = {
				methodName: 'openGDMap',
				callbackMethod: callbackMethod
			};
			BSLJSBridge(message);
		},
		//打开高德地图并导航（起点维度，起点经度，终点维度，终点经度）
		navGDMap: function(startlat, startlon, endlat, endlon, callbackMethod) {
			var message = {
				methodName: 'navGDMap',
				startlat: startlat,
				startlon: startlon,
				endlat: endlat,
				endlon: endlon,
				callbackMethod: callbackMethod
			};
			BSLJSBridge(message);
		},
		checkGGMap: function(callbackMethod) //检查是否安装谷歌地图
		{
			var message = {
				methodName: 'checkGGMap',
				callbackMethod: callbackMethod
			};
			BSLJSBridge(message);
		},
		//打开谷歌地图
		openGGMap: function(callbackMethod) {
			var message = {
				methodName: 'openGGMap',
				callbackMethod: callbackMethod
			};
			BSLJSBridge(message);
		},
		//打开谷歌地图并导航（起点维度，起点经度，终点维度，终点经度）
		navGGMap: function(startlat, startlon, endlat, endlon, callbackMethod) {
			var message = {
				methodName: 'navGGMap',
				startlat: startlat,
				startlon: startlon,
				endlat: endlat,
				endlon: endlon,
				callbackMethod: callbackMethod
			};
			BSLJSBridge(message);
		},
		checkTXMap: function(callbackMethod) //检查是否安装腾讯地图
		{
			var message = {
				methodName: 'checkTXMap',
				callbackMethod: callbackMethod
			};
			BSLJSBridge(message);
		},
		//打开腾讯地图
		openTXMap: function(callbackMethod) {
			var message = {
				methodName: 'openTXMap',
				callbackMethod: callbackMethod
			};
			BSLJSBridge(message);
		},
		//打开腾讯地图并导航（起点维度，起点经度，终点维度，终点经度）
		navTXMap: function(startlat, startlon, endlat, endlon, callbackMethod) {
			var message = {
				methodName: 'navTXMap',
				startlat: startlat,
				startlon: startlon,
				endlat: endlat,
				endlon: endlon,
				callbackMethod: callbackMethod
			};
			BSLJSBridge(message);
		},
		hideStateBar:function(hidden)//隐藏状态栏（hidden：yes（1）显示 ，（0）no隐藏）
               {
                   var message = {methodName:'hideStateBar',hidden:hidden};
                   BSLJSBridge(message);
               },
               getContact:function(callbackMethod)//获取一个联系人信息
               {
                   var message = {methodName:'getContact',callbackMethod:callbackMethod};
                   BSLJSBridge(message);
               },
               getAllContact:function(callbackMethod)//获取所有联系人信息
               {
                   var message = {methodName:'getAllContact',callbackMethod:callbackMethod};
                   BSLJSBridge(message);
               },
               addContact:function(contact,callbackMethod)//添加一条联系人信息
               {
                   var message = {methodName:'addContact',contact:contact,callbackMethod:callbackMethod};
                   BSLJSBridge(message);
               },
               getClipboard:function(callbackMethod)//获取粘贴板内容
               {
                   var message = {methodName:'getClipboardText',callbackMethod:callbackMethod};
                   BSLJSBridge(message);
               },
               checkWX:function(callbackMethod)//检查微信是否安装
               {
                   var message = {methodName:'checkWX',callbackMethod:callbackMethod};
                   BSLJSBridge(message);
               },
               checkZFB:function(callbackMethod)//检查支付宝是否安装
               {
                   var message = {methodName:'checkZFB',callbackMethod:callbackMethod};
                   BSLJSBridge(message);
               },
               cacheSize:function(callbackMethod)//检测缓存大小(带单位),
               {
                   var message = {methodName:'getCacheSize',callbackMethod:callbackMethod};
                   BSLJSBridge(message);
               },
               tabbarColor:function(color)//修改tabbar的背景颜色
               {
                   var message = {methodName:'tabbarColor',color:color};
                   BSLJSBridge(message);

               },
               navbarColor:function(color)//修改navbar的背景颜色（
               {
                   var message = {methodName:'navbarColor',color:color};
                   BSLJSBridge(message);

               },
               downRefresh:function(open)//关闭打开下拉刷新 1.可用 0：不可用
               {
                   var message = {methodName:'downRefresh',open:open};
                   BSLJSBridge(message);
               },
               netWorkState:function(callbackMethod)
               {
                   var message = {methodName:'netWorkState',callbackMethod:callbackMethod};
                   BSLJSBridge(message);
               },
               msgRing:function()//调用系统通知铃声
               {
                   var message = {methodName:'msgRing'};
                   BSLJSBridge(message);
               },
               getVolume:function(callbackMethod)//多媒体音量大小
               {
                   var message = {methodName:'getVolume',callbackMethod:callbackMethod};
                   BSLJSBridge(message);
               },
                setVolume:function(value)//设置系统音量(value 范围值0~1)
                      {
                          var message = {methodName:'setVolume',volume:value};
                          BSLJSBridge(message);
                      },

	};
	BSL = H;
//	var message = {
//		methodName: 'injectOK'
//	}
//	BSLJSBridge(message);
});

function iframes(){
     var iframes = document.getElementsByTagName('iframe');
    console.log(iframes);
        for(var i=0;i < iframes.length;i++) {
            iframes[i].contentWindow.BSL = BSL;
        }
}
iframes();
	var message = {
		methodName: 'injectOK'
	}
	BSLJSBridge(message);

